#if !defined(LUNAR_PLUGIN_LOCALS_H)
#define LUNAR_PLUGIN_LOCALS_H
#define LUNAR_USE_LOCALS
#if defined(__cplusplus)
extern "C" {
#endif // __cplusplus
typedef struct _lunar_attributes {
} lunar_attributes_t;
typedef struct _lunar_globals {
} lunar_globals_t;
typedef struct _lunar_global_values {
} lunar_global_values_t;
typedef struct _lunar_track {
	float *note;
	float *ampmod1;
	float *vib1;
	float *kbscale1;
	float *harmonic1;
	float *lvlkeyscaling1;
	float *outputlevel1;
	float *attack1;
	float *decay1;
	float *sustain1;
	float *release1;
	float *wave1;
	float *ampmod2;
	float *vib2;
	float *kbscale2;
	float *harmonic2;
	float *lvlkeyscaling2;
	float *outputlevel2;
	float *attack2;
	float *decay2;
	float *sustain2;
	float *release2;
	float *wave2;
	float *ampmod;
	float *vib;
	float *rythm;
	float *bassdrum;
	float *snaredrum;
	float *tomtom;
	float *cymbal;
	float *hihat;
	float *feedback;
	float *algo;
} lunar_track_t;
typedef struct _lunar_track_values {
	float note;
	float ampmod1;
	float vib1;
	float kbscale1;
	float harmonic1;
	float lvlkeyscaling1;
	float outputlevel1;
	float attack1;
	float decay1;
	float sustain1;
	float release1;
	float wave1;
	float ampmod2;
	float vib2;
	float kbscale2;
	float harmonic2;
	float lvlkeyscaling2;
	float outputlevel2;
	float attack2;
	float decay2;
	float sustain2;
	float release2;
	float wave2;
	float ampmod;
	float vib;
	float rythm;
	float bassdrum;
	float snaredrum;
	float tomtom;
	float cymbal;
	float hihat;
	float feedback;
	float algo;
} lunar_track_values_t;
typedef struct _lunar_controllers {
} lunar_controllers_t;
typedef struct _lunar_controller_values {
} lunar_controller_values_t;
#if defined(__cplusplus)
}
#endif // __cplusplus
#endif // LUNAR_PLUGIN_LOCALS_H
